PAGE ,132

int08   segment public 'code'
        assume  CS:int08
        ORG     0                       ;start execution at offset 0.

entry   PROC    FAR                     ;init/termination entry point.
        jcxz    initialize              ;jump if initialization call.

terminate:                              ;termination calls go here.
        mov     dx,si                   ;ds = ISR segment, dx = ISR offset.
        mov     ax,2508h
        int     21h
        ret

initialize:
        mov     ax,3508h                ;get interrupt vector 08h
        int     21h                     ;es = ISR segment, bx = ISR offset
        push    es                      ;push ISR segment onto stack
        pop     ds                      ;pop it to ds
        mov     si,bx                   ;save ISR offset to si
        clc                             ;clc = no errors to DV
        ret     12                      ;return to DV proc.
entry   ENDP

int08   ENDS

        END


